class Student {                                         // 父类
    void printStuMeassage() {
        System.out.println("a student ");
    }
}
class GraduateStudent extends Student{                     //子类
    void printStuMeassage(){                            //方法重写
        System.out.println("a graduate student ");
    }
    void printStuMeassage(String name) {                 //方法重载
        System.out.println("a graduate student : " + name);
    }
}
class Example4_9{
    public static void main(String[] args) {
        Student s = new Student();
        s.printStuMeassage();
        GraduateStudent g = new GraduateStudent();
        g.printStuMeassage();
        g.printStuMeassage("Tom");
    }
}
